# Asterisk Project : Asterisk 13 Function_REGEX

Created by wikibot on Aug 08, 2014

# REGEX()

### Synopsis

Check string against a regular expression.

### Description

Return `1` on regular expression match or `0` otherwise

Please note that the space following the double quotes separating the regex from the data is optional and if present, is skipped. If a space is desired at the beginning of the data, then put two spaces there; the second will not be skipped.

### Syntax

    REGEX("regular expression" string)

##### Arguments

- `"regular expression"`
- `string`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538